package com.sinosig.web.module.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 应用实体[数据字典]
 */
public class SJZD implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 更新时间
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;
    /**
     * 更新人
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;
    /**
     * 数据字典名称
     */
    private String SJZDName;

    @JsonIgnore
    private boolean SJZDNameDirtyFlag;
    /**
     * 数据字典标识
     */
    private String SJZDId;

    @JsonIgnore
    private boolean SJZDIdDirtyFlag;
    /**
     * 编号
     */
    private String Bh;

    @JsonIgnore
    private boolean BhDirtyFlag;
    /**
     * 建立人
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;
    /**
     * 建立时间
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.UpdateManDirtyFlag ;
    }

    /**
     * 获取 [数据字典名称]
     */
    @JsonProperty("sjzdname")
    public String getSJZDName(){
        return SJZDName ;
    }

    /**
     * 设置 [数据字典名称]
     */
    @JsonProperty("sjzdname")
    public void setSJZDName(String  sJZDName){
        this.SJZDName = sJZDName ;
        this.SJZDNameDirtyFlag = true ;
    }

    /**
     * 获取 [数据字典名称]脏标记
     */
    @JsonIgnore
    public boolean getSJZDNameDirtyFlag(){
        return this.SJZDNameDirtyFlag ;
    }

    /**
     * 获取 [数据字典标识]
     */
    @JsonProperty("sjzdid")
    public String getSJZDId(){
        return SJZDId ;
    }

    /**
     * 设置 [数据字典标识]
     */
    @JsonProperty("sjzdid")
    public void setSJZDId(String  sJZDId){
        this.SJZDId = sJZDId ;
        this.SJZDIdDirtyFlag = true ;
    }

    /**
     * 获取 [数据字典标识]脏标记
     */
    @JsonIgnore
    public boolean getSJZDIdDirtyFlag(){
        return this.SJZDIdDirtyFlag ;
    }

    /**
     * 获取 [编号]
     */
    @JsonProperty("bh")
    public String getBh(){
        return Bh ;
    }

    /**
     * 设置 [编号]
     */
    @JsonProperty("bh")
    public void setBh(String  bh){
        this.Bh = bh ;
        this.BhDirtyFlag = true ;
    }

    /**
     * 获取 [编号]脏标记
     */
    @JsonIgnore
    public boolean getBhDirtyFlag(){
        return this.BhDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.CreateManDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.CreateDateDirtyFlag ;
    }



}
